Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -3780,38 +3745,36 @@
   ! end verifs  
     
-else if (abs((g(il)**((1-2*h(il))/(1-h(il))))-1.0).lt.1e-2) then
+else if (abs((g(il)**((1-2*h(il))/(1-h(il))))-1.0).lt.1e-2) THEN
         ! dans ce cas, le premier facteur de func (la fonction a
         ! intégrer) est environ constant et égal à 1. on a alors
         ! func=(x/m)**(-beta-1), intégrable analytiquement:
-!                write(*,*) 'stewart_explicite 684:calcul analytique'
+!                WRITE(*,*) 'stewart_explicite 684:calcul analytique'
         icas_Jsimple=icas_Jsimple+1
         cas_Jsimple(icas_Jsimple)=il
 #ifdef ISOVERIF
-!               write(*,*) 'stewart_expl 894 tmp: '//
+!               WRITE(*,*) 'stewart_expl 894 tmp: '//
 !     :             'icas_jsimple,il=',icas_jsimple,il
        trace(il)=2532
 #endif                
                 
-else !if ((g**(1-beta*gama))-1.0.lt.errmaxrel*10) then
+else !if ((g**(1-beta*gama))-1.0.lt.errmaxrel*10) THEN
         ! dans ce cas, la fonction est trop compliqué à intégrer
         ! analytiquement. On intègre donc numériquement.
-!                write(*,*) 'stewart_explicite 684:calcul numérique'
+!                WRITE(*,*) 'stewart_explicite 684:calcul numérique'
         ! on traitera ce cas en vectoriel:
         icas_rieman=icas_rieman+1
         cas_rieman(icas_rieman)=il
 #ifdef ISOVERIF
-!                write(*,*) 'stewart_expl 895 tmp: '//
+!                WRITE(*,*) 'stewart_expl 895 tmp: '//
 !     :             'icas_rieman,il=',icas_rieman,il
         trace(il)=2533
 #endif                
-  endif !if ((g**(1-beta*gama))-1.0.lt.errmaxrel*10) then
-
-    
+  endif !if ((g**(1-beta*gama))-1.0.lt.errmaxrel*10) THEN
   ! end verifs
-END IF !if (Eqi(il)*fac_ftmr(il)/qp0(il).lt.5e-2) then
-END IF !if ((h.lt.1e-3).or.(qp0.lt.1e-8)) then
-END IF !if (h(il).gt.0.99) then
-END IF !if ((f(il).lt.1e-9).or.(Pqiinf(il).lt.ridicule/10.)) then
-END IF !!if ((Eqi(il)*fac_ftmr(il).lt.ridicule).and.(h(il).lt.0.99)) then
+END IF !if (Eqi(il)*fac_ftmr(il)/qp0(il).lt.5e-2) THEN
+END IF !if ((h.lt.1e-3).or.(qp0.lt.1e-8)) THEN
+END IF !if (h(il).gt.0.99) THEN
+END IF !if ((f(il).lt.1e-9).or.(Pqiinf(il).lt.ridicule/10.)) THEN
+END IF !!if ((Eqi(il)*fac_ftmr(il).lt.ridicule).and.(h(il).lt.0.99)) THEN
 END IF ! Pqisup.le.0
 END DO ! do il=1,ncas
@@ -3821,14 +3784,14 @@
 ncas_Jsimple=icas_Jsimple
 !#ifdef ISOVERIF
-!      write(*,*) 'stewart_explicite_vectall 812: ncas=',ncas
-!      write(*,*) 'ncas_rieman=',ncas_rieman
-!      write(*,*) 'ncas_Jsimple=',ncas_Jsimple      
+!      WRITE(*,*) 'stewart_explicite_vectall 812: ncas=',ncas
+!      WRITE(*,*) 'ncas_rieman=',ncas_rieman
+!      WRITE(*,*) 'ncas_Jsimple=',ncas_Jsimple
 !#endif      
 
 !******** traitement vectoriel des cas Rieman et Jsimple:
 ! compression
-IF (ncas_Jsimple+ncas_rieman.gt.0) then
+IF (ncas_Jsimple+ncas_rieman.gt.0) THEN
 !#ifdef ISOVERIF         
-!        write(*,*) 'stewart_explicite_vectall 873:compression_calculJ' 
+!        WRITE(*,*) 'stewart_explicite_vectall 873:compression_calculJ'
 !#endif        
 CALL compress_calculJ(ncas,ncas_Rieman,ncas_Jsimple,  &
@@ -3883,6 +3846,6 @@
 &        /m0_cas(icas_Jsimple+ncas_Jsimple)), &
 &       'stewart_explicite_vectall 953b apres compression', &
-&        errmax,errmaxrel).eq.1) then
-      write(*,*) 'icas_Jsimple,cas_rieman(icas_Jsimple)=', &
+&        errmax,errmaxrel).eq.1) THEN
+      WRITE(*,*) 'icas_Jsimple,cas_rieman(icas_Jsimple)=', &
 &           icas_Jsimple,cas_rieman(icas_Jsimple)
       stop
@@ -3892,7 +3855,7 @@
 
 ! ************ traitement vectoriel du cas J simplifié
-IF (ncas_Jsimple.gt.0) then
+IF (ncas_Jsimple.gt.0) THEN
 !#ifdef ISOVERIF
-!          write(*,*) 'traitement vectoriel J simple: x',ncas_Jsimple
+!          WRITE(*,*) 'traitement vectoriel J simple: x',ncas_Jsimple
 !#endif          
 DO il=1,ncas_Jsimple
@@ -3913,10 +3876,7 @@
   enddo  !do ixt=1,niso  
 END DO !do il=1,ncas_Jsimple
-END IF !if (ncas_Jsimple.gt.0) then
-      
-
+END IF !if (ncas_Jsimple.gt.0) THEN
     ! ******* traitement vectoriel du cas Rieman (=2533)
-IF (ncas_rieman.gt.0) then
-            
+IF (ncas_rieman.gt.0) THEN
    icas_rieman=1+ncas_Jsimple
 
@@ -3930,10 +3890,8 @@
 &       g_cas(icas_rieman))      
 
-  endif !if (ncas_rieman.gt.0) then
-
-
+  endif !if (ncas_rieman.gt.0) THEN
 ! ******* traitement vectoriel commun du cas Rieman et Jsimple           
 #ifdef ISOVERIF
-!          write(*,*) 'traitement vectoriel commun rieman/Jsimple'
+!          WRITE(*,*) 'traitement vectoriel commun rieman/Jsimple'
 #endif          
    do il=1,ncas_Jsimple+ncas_rieman          
@@ -3965,12 +3923,12 @@
     if ((fac_ftmr_cas(il).gt.0.0).and. &
 &           (Pqiinf_cas(il).gt.(Eqi_cas(il)+qp0_cas(il) &
-&                   /fac_ftmr_cas(il)))) then 
+&                   /fac_ftmr_cas(il)))) THEN
         ! méthode (1)
-!                write(*,*) 'stewart_explicite 739: methode 1'
+!                WRITE(*,*) 'stewart_explicite 739: methode 1'
         Exi_cas(ixt,il)=(xtnew_cas(ixt,il)-xtp0_cas(ixt,il)) &
 &                   /fac_ftmr_cas(il)
     else
        ! méthode (2): 
-!               write(*,*) 'stewart_explicite 743: methode 2'
+!               WRITE(*,*) 'stewart_explicite 743: methode 2'
        Exi_cas(ixt,il)=Pxtisup_cas(ixt,il)-Pxtiinf_cas(ixt,il)
     endif
@@ -3983,31 +3941,31 @@
 &           'stewart_explicite 1348').eq.1).or. &
 &           (iso_verif_noNaN_nostop(xtnew_cas(ixt,il), &
-&           'stewart_explicite 1348b').eq.1)) then
-       write(*,*) 'ixt,ncas_Jsimple,il=',ixt,ncas_Jsimple,il
-       write(*,*) 'Exi_cas(ixt,il)=',Exi_cas(ixt,il)
-       write(*,*) 'Pxtiinf_cas(ixt,il)=',Pxtiinf_cas(ixt,il)
-       write(*,*) 'xtnew_cas(ixt,il)=',xtnew_cas(ixt,il)
-       write(*,*) 'xtp0_cas(ixt,il)=',xtp0_cas(ixt,il)
-       write(*,*) 'Pxtisup_cas(ixt,il)=',Pxtisup_cas(ixt,il)
-       write(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
-       write(*,*) 'Eqi_cas(il)=',Eqi_cas(il)
-       write(*,*) 'Pqiinf_cas(il)=',Pqiinf_cas(il)
-       write(*,*) 'qp0_cas(il)=',qp0_cas(il)
-       write(*,*) 'm0_cas(il)=',m0_cas(il)
-       write(*,*) 'Rb(ixt,il)=',Rb(ixt,il)
-       write(*,*) 'Rl(ixt,il)=',Rl(ixt,il)
-       write(*,*) 'r_jqp0(ixt,il)=',r_jqp0(ixt,il)
-       write(*,*) 'r_jl0(ixt,il)=',r_jl0(ixt,il)
-       write(*,*) 'J(ixt,il)=',J(ixt,il)
-       write(*,*) 'A_cas(il)=',A_cas(il)
-       write(*,*) 'f_cas(il)=',f_cas(il)
-       write(*,*) 'g_cas(il)=',g_cas(il)
-       write(*,*) 'beta_cas(ixt,il)=',beta_cas(ixt,il)
-       write(*,*) 'gama_cas(ixt,il)=',gama_cas(ixt,il)
-       write(*,*) 'f**beta=',f_cas(il)**beta_cas(ixt,il)
-       write(*,*) 'f**(beta+1)=',f_cas(il)**(beta_cas(ixt,il)+1)
-       write(*,*) 'g*(-beta*gama)=',g_cas(il)** &
+&           'stewart_explicite 1348b').eq.1)) THEN
+       WRITE(*,*) 'ixt,ncas_Jsimple,il=',ixt,ncas_Jsimple,il
+       WRITE(*,*) 'Exi_cas(ixt,il)=',Exi_cas(ixt,il)
+       WRITE(*,*) 'Pxtiinf_cas(ixt,il)=',Pxtiinf_cas(ixt,il)
+       WRITE(*,*) 'xtnew_cas(ixt,il)=',xtnew_cas(ixt,il)
+       WRITE(*,*) 'xtp0_cas(ixt,il)=',xtp0_cas(ixt,il)
+       WRITE(*,*) 'Pxtisup_cas(ixt,il)=',Pxtisup_cas(ixt,il)
+       WRITE(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
+       WRITE(*,*) 'Eqi_cas(il)=',Eqi_cas(il)
+       WRITE(*,*) 'Pqiinf_cas(il)=',Pqiinf_cas(il)
+       WRITE(*,*) 'qp0_cas(il)=',qp0_cas(il)
+       WRITE(*,*) 'm0_cas(il)=',m0_cas(il)
+       WRITE(*,*) 'Rb(ixt,il)=',Rb(ixt,il)
+       WRITE(*,*) 'Rl(ixt,il)=',Rl(ixt,il)
+       WRITE(*,*) 'r_jqp0(ixt,il)=',r_jqp0(ixt,il)
+       WRITE(*,*) 'r_jl0(ixt,il)=',r_jl0(ixt,il)
+       WRITE(*,*) 'J(ixt,il)=',J(ixt,il)
+       WRITE(*,*) 'A_cas(il)=',A_cas(il)
+       WRITE(*,*) 'f_cas(il)=',f_cas(il)
+       WRITE(*,*) 'g_cas(il)=',g_cas(il)
+       WRITE(*,*) 'beta_cas(ixt,il)=',beta_cas(ixt,il)
+       WRITE(*,*) 'gama_cas(ixt,il)=',gama_cas(ixt,il)
+       WRITE(*,*) 'f**beta=',f_cas(il)**beta_cas(ixt,il)
+       WRITE(*,*) 'f**(beta+1)=',f_cas(il)**(beta_cas(ixt,il)+1)
+       WRITE(*,*) 'g*(-beta*gama)=',g_cas(il)** &
 &          (-beta_cas(ixt,il)*gama_cas(ixt,il))
-       write(*,*) 'g*(-beta*gama-1)=',g_cas(il)** &
+       WRITE(*,*) 'g*(-beta*gama-1)=',g_cas(il)** &
 &          (-beta_cas(ixt,il)*gama_cas(ixt,il)-1.0)
        stop
@@ -4016,42 +3974,42 @@
 #endif
 #ifdef ISOVERIF         
-    if (iso_eau.gt.0) then
+    if (iso_eau.gt.0) THEN
       if (iso_verif_egalite_choix_nostop( &
 &           (Pxtiinf_cas(iso_eau,il)), &
 &           (Pqiinf_cas(il)),'stewart_explicite 451', &
-&           errmax*50,errmaxrel*50).eq.1) then 
-         write(*,*) 'il=',il
-         if (il.le.ncas_Jsimple) then
-            write(*,*) 'cas_Jsimple(il)=',cas_Jsimple(il)
-         else !if (il.le.ncas_Jsimple) then
-            write(*,*) 'cas_rieman(il)=',cas_rieman(il)
-         endif !if (il.le.ncas_Jsimple) then
-         write(*,*) 'Rl=',Rl(iso_eau,il),' Rb=',Rb(iso_eau,il)
-         write(*,*) 'g**(1-beta*gama)=',g_cas(il)** &
+&           errmax*50,errmaxrel*50).eq.1) THEN
+         WRITE(*,*) 'il=',il
+         if (il.le.ncas_Jsimple) THEN
+            WRITE(*,*) 'cas_Jsimple(il)=',cas_Jsimple(il)
+         else !if (il.le.ncas_Jsimple) THEN
+            WRITE(*,*) 'cas_rieman(il)=',cas_rieman(il)
+         endif !if (il.le.ncas_Jsimple) THEN
+         WRITE(*,*) 'Rl=',Rl(iso_eau,il),' Rb=',Rb(iso_eau,il)
+         WRITE(*,*) 'g**(1-beta*gama)=',g_cas(il)** &
 &                 (1-beta_cas(iso_eau,il)*gama_cas(iso_eau,il))
-         write(*,*) 'j=',j(iso_eau,il)
+         WRITE(*,*) 'j=',j(iso_eau,il)
 !#ifdef rieman                 
-!                 write(*,*) 'e=',e(iso_eau,il)
+!                 WRITE(*,*) 'e=',e(iso_eau,il)
 !#endif                 
-!                 write(*,*) 'ntot_cas(il)=',ntot_cas(il)
-         write(*,*) 'gama=',gama_cas(iso_eau,il), &
+!                 WRITE(*,*) 'ntot_cas(il)=',ntot_cas(il)
+         WRITE(*,*) 'gama=',gama_cas(iso_eau,il), &
 &                   ' beta=',beta_cas(iso_eau,il)
-         if (il.le.ncas_Jsimple) then
-           write(*,*) 'h=',h(cas_Jsimple(il)), &
+         if (il.le.ncas_Jsimple) THEN
+           WRITE(*,*) 'h=',h(cas_Jsimple(il)), &
 &                   ' Tevap=',Tevap(cas_Jsimple(il))
-         else !if (il.le.ncas_Jsimple) then
-             write(*,*) 'h=',h(cas_rieman(il)), &
+         else !if (il.le.ncas_Jsimple) THEN
+             WRITE(*,*) 'h=',h(cas_rieman(il)), &
 &                   ' Tevap=',Tevap(cas_rieman(il))
-         endif !if (il.le.ncas_Jsimple) then
-         write(*,*) 'f=',f_cas(il),' g=',g_cas(il)
-         write(*,*) 'r_jl0=',r_jl0(iso_eau,il), &
+         endif !if (il.le.ncas_Jsimple) THEN
+         WRITE(*,*) 'f=',f_cas(il),' g=',g_cas(il)
+         WRITE(*,*) 'r_jl0=',r_jl0(iso_eau,il), &
 &                   ' r_jqp0=',r_jqp0(iso_eau,il)
-         write(*,*) 'r_l0qp0=',r_l0qp0_cas(il)
-         write(*,*) 'm0=',m0_cas(il),' m=',m_cas(il), &
+         WRITE(*,*) 'r_l0qp0=',r_l0qp0_cas(il)
+         WRITE(*,*) 'm0=',m0_cas(il),' m=',m_cas(il), &
 &                           ' m0-m=',m0_cas(il)-m_cas(il)
-         write(*,*) 'A=',A_cas(il),' qp0=',qp0_cas(il)
-         write(*,*) 'Rl0=',Rl0_cas(iso_eau,il), &
+         WRITE(*,*) 'A=',A_cas(il),' qp0=',qp0_cas(il)
+         WRITE(*,*) 'Rl0=',Rl0_cas(iso_eau,il), &
 &           ' Rb0=',Rb0_cas(iso_eau,il)
-         write(*,*) 'pond Rl0=',(f_cas(il) &
+         WRITE(*,*) 'pond Rl0=',(f_cas(il) &
 &               **beta_cas(iso_eau,il)) &
 &                   *(g_cas(il)**(-beta_cas(iso_eau,il) &
@@ -4059,12 +4017,12 @@
 &                 +beta_cas(iso_eau,il)*gama_cas(iso_eau,il) &
 &              *r_jqp0(iso_eau,il)/f_cas(il)/g_cas(il)
-         write(*,*) 'pond Rb0=', &
+         WRITE(*,*) 'pond Rb0=', &
 &              gama_cas(iso_eau,il)*beta_cas(iso_eau,il) &
 &              *r_jl0(iso_eau,il)/f_cas(il)/g_cas(il)
-         write(*,*) 'fac1=', &
+         WRITE(*,*) 'fac1=', &
 &                  f_cas(il)**beta_cas(iso_eau,il)
-         write(*,*) 'fac2=',g_cas(il) &
+         WRITE(*,*) 'fac2=',g_cas(il) &
 &             **(-beta_cas(iso_eau,il)*gama_cas(iso_eau,il)) 
-         write(*,*) 't3=',beta_cas(iso_eau,il) &
+         WRITE(*,*) 't3=',beta_cas(iso_eau,il) &
 &               *gama_cas(iso_eau,il)*r_jqp0(iso_eau,il) &
 &           /f_cas(il)/g_cas(il)    
@@ -4075,37 +4033,37 @@
 &           (qp0_cas(il)+Eqi_cas(il) &
 &           *fac_ftmr_cas(il)),'stewart_explicite 1026', &
-&           errmax*50,errmaxrel*50).eq.1) then 
-         write(*,*) 'il=',il                 
-         if (il.le.ncas_Jsimple) then
-            write(*,*) 'cas_Jsimple(il)=',cas_Jsimple(il)
-         else !if (il.le.ncas_Jsimple) then
-            write(*,*) 'cas_rieman(il)=',cas_rieman(il)
-         endif !if (il.le.ncas_Jsimple) then
-         write(*,*) 'Rl=',Rl(iso_eau,il),' Rb=',Rb(iso_eau,il)
-         write(*,*) 'g**(1-beta*gama)=',g_cas(il)** &
+&           errmax*50,errmaxrel*50).eq.1) THEN
+         WRITE(*,*) 'il=',il
+         if (il.le.ncas_Jsimple) THEN
+            WRITE(*,*) 'cas_Jsimple(il)=',cas_Jsimple(il)
+         else !if (il.le.ncas_Jsimple) THEN
+            WRITE(*,*) 'cas_rieman(il)=',cas_rieman(il)
+         endif !if (il.le.ncas_Jsimple) THEN
+         WRITE(*,*) 'Rl=',Rl(iso_eau,il),' Rb=',Rb(iso_eau,il)
+         WRITE(*,*) 'g**(1-beta*gama)=',g_cas(il)** &
 &                 (1-beta_cas(iso_eau,il)*gama_cas(iso_eau,il))
-         write(*,*) 'J=',J(iso_eau,il)
+         WRITE(*,*) 'J=',J(iso_eau,il)
 !#ifdef rieman                 
-!                 write(*,*) 'e=',e(iso_eau,il)
+!                 WRITE(*,*) 'e=',e(iso_eau,il)
 !#endif                   
-!                 write(*,*) 'ntot_cas(il)=',ntot_cas(il)
-         write(*,*) 'gama=',gama_cas(iso_eau,il), &
+!                 WRITE(*,*) 'ntot_cas(il)=',ntot_cas(il)
+         WRITE(*,*) 'gama=',gama_cas(iso_eau,il), &
 &                   ' beta=',beta_cas(iso_eau,il)
-         if (il.le.ncas_Jsimple) then
-           write(*,*) 'h=',h(cas_Jsimple(il)), &
+         if (il.le.ncas_Jsimple) THEN
+           WRITE(*,*) 'h=',h(cas_Jsimple(il)), &
 &                   ' Tevap=',Tevap(cas_Jsimple(il))
-         else !if (il.le.ncas_Jsimple) then
-             write(*,*) 'h=',h(cas_rieman(il)), &
+         else !if (il.le.ncas_Jsimple) THEN
+             WRITE(*,*) 'h=',h(cas_rieman(il)), &
 &                   ' Tevap=',Tevap(cas_rieman(il))
-         endif !if (il.le.ncas_Jsimple) then
-         write(*,*) 'f=',f_cas(il),' g=',g_cas(il)
-         write(*,*) 'r_jl0=',r_jl0(iso_eau,il), &
+         endif !if (il.le.ncas_Jsimple) THEN
+         WRITE(*,*) 'f=',f_cas(il),' g=',g_cas(il)
+         WRITE(*,*) 'r_jl0=',r_jl0(iso_eau,il), &
 &                   ' r_jqp0=',r_jqp0(iso_eau,il)
-         write(*,*) 'r_l0qp0=',r_l0qp0_cas(il)
-         write(*,*) 'm0=',m0_cas(il),' m=',m_cas(il)
-         write(*,*) 'A=',A_cas(il),' qp0=',qp0_cas(il)
-         write(*,*) 'Rl0=',Rl0_cas(iso_eau,il), &
+         WRITE(*,*) 'r_l0qp0=',r_l0qp0_cas(il)
+         WRITE(*,*) 'm0=',m0_cas(il),' m=',m_cas(il)
+         WRITE(*,*) 'A=',A_cas(il),' qp0=',qp0_cas(il)
+         WRITE(*,*) 'Rl0=',Rl0_cas(iso_eau,il), &
 &           ' Rb0=',Rb0_cas(iso_eau,il)
-         write(*,*) 'pond Rl0=',r_l0qp0_cas(il)* (1/g_cas(il) &
+         WRITE(*,*) 'pond Rl0=',r_l0qp0_cas(il)* (1/g_cas(il) &
 &              -(f_cas(il)**(beta_cas(iso_eau,il)+1)) &
 &              *(g_cas(il)**(-beta_cas(iso_eau,il) &
@@ -4114,5 +4072,5 @@
 &                   *r_jqp0(iso_eau,il) &
 &                   /g_cas(il)/g_cas(il))
-         write(*,*) 'pond Rb0=',(1/g_cas(il)  &
+         WRITE(*,*) 'pond Rb0=',(1/g_cas(il)  &
 &              - 1/g_cas(il)/g_cas(il) * gama_cas(iso_eau,il) &
 &             *beta_cas(iso_eau,il)*r_jqp0(iso_eau,il))
@@ -4127,56 +4085,56 @@
 &            (Eqi_cas(il)*fac_ftmr_cas(il)), &
 &           'stewart_explicite 586', &
-&            errmax*3000,errmaxrel*800).eq.1)) then  
-          write(*,*) 'il=',il                 
-         if (il.le.ncas_Jsimple) then
-            write(*,*) 'cas_Jsimple(il)=',cas_Jsimple(il)
-         else !if (il.le.ncas_Jsimple) then
-            write(*,*) 'cas_rieman(il)=',cas_rieman(il)
-         endif !if (il.le.ncas_Jsimple) then
-          write(*,*) 'g**(1-beta*gama)=',g_cas(il) &
+&            errmax*3000,errmaxrel*800).eq.1)) THEN
+          WRITE(*,*) 'il=',il
+         if (il.le.ncas_Jsimple) THEN
+            WRITE(*,*) 'cas_Jsimple(il)=',cas_Jsimple(il)
+         else !if (il.le.ncas_Jsimple) THEN
+            WRITE(*,*) 'cas_rieman(il)=',cas_rieman(il)
+         endif !if (il.le.ncas_Jsimple) THEN
+          WRITE(*,*) 'g**(1-beta*gama)=',g_cas(il) &
 &                **(1-beta_cas(iso_eau,il)*gama_cas(iso_eau,il))
-          write(*,*) 'Eqi,Exi,fac_ftmr,Pqiinf=',Eqi_cas(il), &
+          WRITE(*,*) 'Eqi,Exi,fac_ftmr,Pqiinf=',Eqi_cas(il), &
 &             Exi_cas(iso_eau,il),fac_ftmr_cas(il),Pqiinf_cas(il)
-          write(*,*) 'xtnew(iso_eau,il),xtp0(iso_eau,il)=', &
+          WRITE(*,*) 'xtnew(iso_eau,il),xtp0(iso_eau,il)=', &
 &              xtnew_cas(iso_eau,il),xtp0_cas(iso_eau,il)     
           stop
      endif
-    endif  !if (iso_eau.gt.0) then
-    if (iso_HDO.gt.0) then
+    endif  !if (iso_eau.gt.0) THEN
+    if (iso_HDO.gt.0) THEN
        if (qp0_cas(il)+Eqi_cas(il)*fac_ftmr_cas(il) &
-&                   .gt.ridicule) then
+&                   .gt.ridicule) THEN
          if (iso_verif_aberrant_nostop(( &
 &                xtnew_cas(iso_HDO,il)/(qp0_cas(il)+Eqi_cas(il) &
 &                *fac_ftmr_cas(il))), &
-&                'stewart_explicite 1316').eq.1) then
-           write(*,*) 'il,fac_ftmr_cas(il)=',il,fac_ftmr_cas(il)
-           write(*,*) 'h(il)=',h(il)
-           write(*,*) 'alphap(iso_HDO,il)=',alphap(iso_HDO,il)
-           write(*,*) 'Di/D)^n=',tdifrel(iso_HDO)**(tdifexp)
-           write(*,*) 'qp0_cas(il)=',qp0_cas(il)   
-           write(*,*) 'Eqi_cas(il)=',Eqi_cas(il)   
-           write(*,*) 'Pqiinf_cas(il)=',Pqiinf_cas(il) 
-           write(*,*) 'm0_cas(il)=',m0_cas(il)
-           write(*,*) 'deltaD(Rb0(iso_HDO,il))=', &
+&                'stewart_explicite 1316').eq.1) THEN
+           WRITE(*,*) 'il,fac_ftmr_cas(il)=',il,fac_ftmr_cas(il)
+           WRITE(*,*) 'h(il)=',h(il)
+           WRITE(*,*) 'alphap(iso_HDO,il)=',alphap(iso_HDO,il)
+           WRITE(*,*) 'Di/D)^n=',tdifrel(iso_HDO)**(tdifexp)
+           WRITE(*,*) 'qp0_cas(il)=',qp0_cas(il)
+           WRITE(*,*) 'Eqi_cas(il)=',Eqi_cas(il)
+           WRITE(*,*) 'Pqiinf_cas(il)=',Pqiinf_cas(il)
+           WRITE(*,*) 'm0_cas(il)=',m0_cas(il)
+           WRITE(*,*) 'deltaD(Rb0(iso_HDO,il))=', &
 &               deltaD(Rb0(iso_HDO,il))
-           write(*,*) 'deltaD(Rl0(iso_HDO,il))=', &
+           WRITE(*,*) 'deltaD(Rl0(iso_HDO,il))=', &
 &               deltaD(Rl0(iso_HDO,il))
-           write(*,*) 'deltaD(Rb(iso_HDO,il))=', &
+           WRITE(*,*) 'deltaD(Rb(iso_HDO,il))=', &
 &               deltaD(Rb(iso_HDO,il))
-           write(*,*) 'deltaD(Rl(iso_HDO,il))=', &
+           WRITE(*,*) 'deltaD(Rl(iso_HDO,il))=', &
 &               deltaD(Rl(iso_HDO,il))
-           write(*,*) 'r_jqp0(iso_HDO,il)=',r_jqp0(iso_HDO,il)
-           write(*,*) 'r_jl0(iso_HDO,il)=',r_jl0(iso_HDO,il)
-           write(*,*) 'J(iso_HDO,il)=',J(iso_HDO,il)
-           write(*,*) 'A_cas(il)=',A_cas(il)
-           write(*,*) 'f_cas(il)=',f_cas(il)
-           write(*,*) 'g_cas(il)=',g_cas(il)
-           write(*,*) 'beta_cas(iso_HDO,il)=', &
+           WRITE(*,*) 'r_jqp0(iso_HDO,il)=',r_jqp0(iso_HDO,il)
+           WRITE(*,*) 'r_jl0(iso_HDO,il)=',r_jl0(iso_HDO,il)
+           WRITE(*,*) 'J(iso_HDO,il)=',J(iso_HDO,il)
+           WRITE(*,*) 'A_cas(il)=',A_cas(il)
+           WRITE(*,*) 'f_cas(il)=',f_cas(il)
+           WRITE(*,*) 'g_cas(il)=',g_cas(il)
+           WRITE(*,*) 'beta_cas(iso_HDO,il)=', &
 &               beta_cas(iso_HDO,il)
-           write(*,*) 'gama_cas(iso_HDO,il)=', &
+           WRITE(*,*) 'gama_cas(iso_HDO,il)=', &
 &               gama_cas(iso_HDO,il)
            stop
          endif
-        endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+        endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
       endif !if (iso_HDO.gt.0)
 #endif            
@@ -4220,5 +4178,5 @@
 #ifdef ISOVERIF
  do icas_Jsimple=1,ncas_Jsimple+ncas_rieman    
-   if (icas_Jsimple.le.ncas_Jsimple) then
+   if (icas_Jsimple.le.ncas_Jsimple) THEN
      il=cas_Jsimple(icas_Jsimple)
    else
@@ -4231,7 +4189,7 @@
 &         'stewart_explicite 620').eq.1).or. &
 &         (iso_verif_noNaN_nostop((xtnew(ixt,il)), &
-&         'stewart_explicite 622').eq.1)) then
-       write(*,*) 'ixt,il=',ixt,il
-       write(*,*) 'icas_Jsimple,ncas_Jsimple=', &
+&         'stewart_explicite 622').eq.1)) THEN
+       WRITE(*,*) 'ixt,il=',ixt,il
+       WRITE(*,*) 'icas_Jsimple,ncas_Jsimple=', &
 &                  icas_Jsimple,ncas_Jsimple
        stop
@@ -4242,19 +4200,19 @@
 #ifdef ISOVERIF
  do icas_Jsimple=1,ncas_Jsimple+ncas_rieman    
-   if (icas_Jsimple.le.ncas_Jsimple) then
+   if (icas_Jsimple.le.ncas_Jsimple) THEN
      il=cas_Jsimple(icas_Jsimple)
    else
      il=cas_rieman(icas_Jsimple-ncas_Jsimple)
    endif           
-   if (iso_eau.gt.0) then
+   if (iso_eau.gt.0) THEN
        if (iso_verif_egalite_choix_nostop( &
 &           (Pxtiinf(iso_eau,il)), &
 &           (Pqiinf(il)),'stewart_explicite 1105', &
-&           errmax*50,errmaxrel*50).eq.1) then 
-          write(*,*) 'icas_Jsimple,il,trace(il)=', &
+&           errmax*50,errmaxrel*50).eq.1) THEN
+          WRITE(*,*) 'icas_Jsimple,il,trace(il)=', &
 &                    icas_Jsimple,il,trace(il) 
-          write(*,*) 'Pqiinf_cas(icas_Jsimple)=', &
+          WRITE(*,*) 'Pqiinf_cas(icas_Jsimple)=', &
 &                   Pqiinf_cas(icas_Jsimple)
-          write(*,*) 'Pxtiinf_cas(iso_eau,icas_Jsimple)=', &
+          WRITE(*,*) 'Pxtiinf_cas(iso_eau,icas_Jsimple)=', &
 &                   Pxtiinf_cas(iso_eau,icas_Jsimple)
           stop
@@ -4269,9 +4227,9 @@
 &            (Eqi(il)*fac_ftmr(il)), &
 &           'stewart_explicite 587', &
-&            errmax*3000,errmaxrel*800).eq.1)) then  
-          write(*,*) 'il,icas_Jsimple=',il,icas_Jsimple
-          write(*,*) 'g**(1-beta*gama)=', &
+&            errmax*3000,errmaxrel*800).eq.1)) THEN
+          WRITE(*,*) 'il,icas_Jsimple=',il,icas_Jsimple
+          WRITE(*,*) 'g**(1-beta*gama)=', &
 &                   g(il)**(1-beta(iso_eau,il)*gama(iso_eau,il))
-          write(*,*) 'Eqi,Exi,fac_ftmr=', &
+          WRITE(*,*) 'Eqi,Exi,fac_ftmr=', &
 &                   Eqi(il),Exi(iso_eau,il),fac_ftmr(il)
           stop
@@ -4279,45 +4237,44 @@
 
      ! le 6 dec 2011: on relache ridicule en ridicule*2
-     if (Pqiinf(il).gt.ridicule*2) then
+     if (Pqiinf(il).gt.ridicule*2) THEN
        if (iso_verif_egalite_choix_nostop &
 &           ((Pxtiinf(iso_eau,il)/Pqiinf(il)),1., &
 &           'stewart_explicite 716', &
-&            errmax*10,errmaxrel*50).eq.1) then
-         write(*,*) 'il=',il
-         write(*,*) 'Pqiinf,Pxtiinf=', &
+&            errmax*10,errmaxrel*50).eq.1) THEN
+         WRITE(*,*) 'il=',il
+         WRITE(*,*) 'Pqiinf,Pxtiinf=', &
 &                 Pqiinf(il),Pxtiinf(iso_eau,il)
-         write(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
-         write(*,*) 'f,h(il)=',f(il),h(il)
-         write(*,*) 'Eqi(il)*fac_ftmr(il)/qp0(il)=', &
+         WRITE(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
+         WRITE(*,*) 'f,h(il)=',f(il),h(il)
+         WRITE(*,*) 'Eqi(il)*fac_ftmr(il)/qp0(il)=', &
 &                 Eqi(il)*fac_ftmr(il)/qp0(il)        
-         write(*,*) 'g(il)=',g(il)           
+         WRITE(*,*) 'g(il)=',g(il)
          stop
        endif !if (iso_verif_egalite_choix_nostop
-     endif !if (Pqiinf.gt.ridicule) then
-     
+     endif !if (Pqiinf.gt.ridicule) THEN
      if (iso_verif_egalite_choix_nostop( &
 &                   (xtnew(iso_eau,il)), &
 &                   (qp0(il)+Eqi(il)*fac_ftmr(il)), &
 &                   'stewart_explicite 732',errmax*10,errmaxrel*50) &
-&                           .eq.1) then
-                write(*,*) 'icas_Jsimple,il,trace(il)=', &
+&                           .eq.1) THEN
+                WRITE(*,*) 'icas_Jsimple,il,trace(il)=', &
 &                    icas_Jsimple,il,trace(il) 
-                write(*,*) 'xtnew_cas(iso_eau,icas_Jsimple)=', &
+                WRITE(*,*) 'xtnew_cas(iso_eau,icas_Jsimple)=', &
 &                   xtnew_cas(iso_eau,icas_Jsimple)
-                write(*,*) 'xtnew(iso_eau,il)=', &
+                WRITE(*,*) 'xtnew(iso_eau,il)=', &
 &                           xtnew(iso_eau,il)
-                write(*,*) 'qp0(il)=',qp0(il)
-                write(*,*) 'qp0_cas(icas_Jsimple)=', &
+                WRITE(*,*) 'qp0(il)=',qp0(il)
+                WRITE(*,*) 'qp0_cas(icas_Jsimple)=', &
 &                           qp0(icas_Jsimple)
-                write(*,*) 'Eqi(il)=',Eqi(il)
-                write(*,*) 'Eqi_cas(icas_Jsimple)=', &
+                WRITE(*,*) 'Eqi(il)=',Eqi(il)
+                WRITE(*,*) 'Eqi_cas(icas_Jsimple)=', &
 &                           Eqi(icas_Jsimple)
-                write(*,*) 'fac_ftmr(il)=',fac_ftmr(il)
-                write(*,*) 'fac_ftmr_cas(icas_Jsimple)=', &
+                WRITE(*,*) 'fac_ftmr(il)=',fac_ftmr(il)
+                WRITE(*,*) 'fac_ftmr_cas(icas_Jsimple)=', &
 &                           fac_ftmr_cas(icas_Jsimple)
                 stop
      endif
      ! pour meilleure convergence numérique:
-     if (bidouille_anti_divergence) then
+     if (bidouille_anti_divergence) THEN
          Exi(iso_eau,il)=Eqi(il)
          xtnew(iso_eau,il)=qp0(il)+Eqi(il)*fac_ftmr(il)
@@ -4327,73 +4284,71 @@
    endif   ! if if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) the       
 
-   if (iso_HDO.gt.0) then
-    if (Pqiinf(il).gt.ridicule_rain) then
+   if (iso_HDO.gt.0) THEN
+    if (Pqiinf(il).gt.ridicule_rain) THEN
       if (iso_verif_aberrant_choix_nostop(Pxtiinf(iso_HDO,il),Pqiinf(il),ridicule_rain,deltalim_snow, &
-&                   'stewart_explicite 871').eq.1)  then
-      write(*,*) 'deltaDl0=',deltaD( &
+&                   'stewart_explicite 871').eq.1)  THEN
+      WRITE(*,*) 'deltaDl0=',deltaD( &
 &           (Rl0(iso_HDO,il)))
-        write(*,*) 'deltaDb0=',deltaD( &
+        WRITE(*,*) 'deltaDb0=',deltaD( &
 &           (Rb0(iso_HDO,il)))
         stop
       endif  !if (iso_verif_aberrant_nostop(
-     endif !if (Pqiinf(il).gt.ridicule_rain) then
-     if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+     endif !if (Pqiinf(il).gt.ridicule_rain) THEN
+     if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
          CALL iso_verif_aberrant(( &
 &               xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
 &               *fac_ftmr(il))),'stewart_explicite 1461')
-     endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+     endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
     endif !if (iso_HDO.gt.0)
 
-    if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) then
-          write(*,*) 'stewart_explicit 1558: cas avec calcul J'
-          write(*,*) 'Eqi(il),deltaD=',Eqi(il), &
+    if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) THEN
+          WRITE(*,*) 'stewart_explicit 1558: cas avec calcul J'
+          WRITE(*,*) 'Eqi(il),deltaD=',Eqi(il), &
 &                   deltaD((Exi(iso_HDO,il)/Eqi(il)))
-          if (icas_Jsimple.le.ncas_Jsimple) then
-               write(*,*) 'calcul J par simple'
+          if (icas_Jsimple.le.ncas_Jsimple) THEN
+               WRITE(*,*) 'calcul J par simple'
           else
-               write(*,*) 'calcul J par Rieman'
+               WRITE(*,*) 'calcul J par Rieman'
           endif
-          write(*,*) 'stewart_explict 1051: h(il)=',h(il)
-          write(*,*) 'f(il)=',f(il)
-          write(*,*) 'Eqi(il)*fac_ftmr(il)/qp0(il)=', &
+          WRITE(*,*) 'stewart_explict 1051: h(il)=',h(il)
+          WRITE(*,*) 'f(il)=',f(il)
+          WRITE(*,*) 'Eqi(il)*fac_ftmr(il)/qp0(il)=', &
 &              Eqi(il)*fac_ftmr(il)/qp0(il)
-          write(*,*) 'Pqisup,deltaD=',Pqisup(il),deltaD( &
+          WRITE(*,*) 'Pqisup,deltaD=',Pqisup(il),deltaD( &
 &             (Pxtisup(iso_HDO,il)/Pqisup(il)))
-          write(*,*) 'qp0,deltaD=',qp0(il),deltaD( &
+          WRITE(*,*) 'qp0,deltaD=',qp0(il),deltaD( &
 &             (xtp0(iso_HDO,il)/qp0(il)))
-          write(*,*) 'f_cas(icas)=',f_cas(icas_Jsimple)
-          write(*,*) 'g_cas(icas)=',g_cas(icas_Jsimple)
-          write(*,*) 'beta_cas(icas)=', &
+          WRITE(*,*) 'f_cas(icas)=',f_cas(icas_Jsimple)
+          WRITE(*,*) 'g_cas(icas)=',g_cas(icas_Jsimple)
+          WRITE(*,*) 'beta_cas(icas)=', &
 &                   beta_cas(iso_HDO,icas_Jsimple)
-          write(*,*) 'gama_cas(icas)=', &
+          WRITE(*,*) 'gama_cas(icas)=', &
 &                   gama_cas(iso_HDO,icas_Jsimple)
-          write(*,*) 'r_jqp0(icas)=', &
+          WRITE(*,*) 'r_jqp0(icas)=', &
 &                   r_jqp0(iso_HDO,icas_Jsimple)
-          write(*,*) 'r_jl0(icas)=',r_jl0(iso_HDO,icas_Jsimple)
-          write(*,*) 'r_l0qp0(icas)=', &
+          WRITE(*,*) 'r_jl0(icas)=',r_jl0(iso_HDO,icas_Jsimple)
+          WRITE(*,*) 'r_l0qp0(icas)=', &
 &                   r_l0qp0_cas(icas_Jsimple)
-          write(*,*) 'J(icas)=',J(iso_HDO,icas_Jsimple)
-          write(*,*) 'deltaDl0(icas)=',deltaD &
+          WRITE(*,*) 'J(icas)=',J(iso_HDO,icas_Jsimple)
+          WRITE(*,*) 'deltaDl0(icas)=',deltaD &
 &                 ((Rl0_cas(iso_HDO,icas_Jsimple)))
-          write(*,*) 'deltaDb0(icas)=',deltaD &
+          WRITE(*,*) 'deltaDb0(icas)=',deltaD &
 &                 ((Rb0_cas(iso_HDO,icas_Jsimple)))
-          write(*,*) 'deltaDl(icas)=',deltaD &
+          WRITE(*,*) 'deltaDl(icas)=',deltaD &
 &                 ((Rl(iso_HDO,icas_Jsimple)))
-          write(*,*) 'deltaDb(icas)=',deltaD &
+          WRITE(*,*) 'deltaDb(icas)=',deltaD &
 &                 ((Rb(iso_HDO,icas_Jsimple)))
-          write(*,*) 'Pqiinf_cas(icas)=', &
+          WRITE(*,*) 'Pqiinf_cas(icas)=', &
 &                   Pqiinf_cas(icas_Jsimple)
-          write(*,*) 'Eqi_cas(icas)=',Eqi_cas(icas_Jsimple)
-          write(*,*) 'qp0_cas(icas)=',qp0_cas(icas_Jsimple)
-          write(*,*) 'fac_ftmr_cas(icas)=', &
+          WRITE(*,*) 'Eqi_cas(icas)=',Eqi_cas(icas_Jsimple)
+          WRITE(*,*) 'qp0_cas(icas)=',qp0_cas(icas_Jsimple)
+          WRITE(*,*) 'fac_ftmr_cas(icas)=', &
 &                   fac_ftmr_cas(icas_Jsimple)
-    endif !if ((debug.eq.1).and.(il.eq.il_debug)) then
-
+    endif !if ((debug.eq.1).and.(il.eq.il_debug)) THEN
     enddo !do il=1,ncas_Jsimple+ncas_rieman    
 #endif  
-END IF !if (ncas_rieman+ncas_Jsimple.gt.0) then
-
-#ifdef ISOVERIF
-          write(*,*) 'stewart_explicite vectall 1179: fin'
+END IF !if (ncas_rieman+ncas_Jsimple.gt.0) THEN
+#ifdef ISOVERIF
+          WRITE(*,*) 'stewart_explicite vectall 1179: fin'
 #endif         
 
@@ -4437,5 +4392,5 @@
 integer ixt,il        
 
-!        write(*,*) 'sttewart_glace 39: entrée'
+!        WRITE(*,*) 'sttewart_glace 39: entrée'
 
 
@@ -4446,10 +4401,10 @@
 &           (Pqisup(il)-Eqi(il)-Pqiinf(il)),0.0, &
 &           'stewart_glace 37')
-  if (iso_eau.gt.0) then
+  if (iso_eau.gt.0) THEN
       CALL iso_verif_egalite((Pqisup(il)), &
 &           (Pxtisup(iso_eau,il)),'stewart_loop 52')
       CALL iso_verif_egalite((xt(iso_eau,il)), &
 &           (q(il)),'stewart_loop 58')
-  endif !if  ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+  endif !if  ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
 END DO !do il=1,ncas
 #endif
